# APG Google Image Sitemap Feed
Contributors: artprojectgroup

Donate link: https://artprojectgroup.es/tienda/donacion

Tags: Google, Google Image, Google Image Sitemap, sitemap, sitemap-image.xml, qTranslate, Media File Renamer

Requires at least: 2.6

Tested up to: 6.1

Stable tag: 2.0.2.2

License: GPLv3

License URI: https://www.gnu.org/licenses/gpl-3.0.html

Genera dinámicamente el archivo sitemap-image.xml, un mapa de sitio de imágenes para Google. No requiere ningún tipo de configuración.

## Description
[*Español*](https://wordpress.org/plugins/google-image-sitemap-feed-with-multisite-support/) - [*English*](https://goo.gl/u9zMFp) - [*Italiano*](https://goo.gl/ZcndP4) - [*Français*](https://goo.gl/yyWCYT) - [*Deutsch*](https://goo.gl/1mJWrO) 

**APG Google Image Sitemap Feed** genera dinámicamente un mapa de sitio de imágenes para Google creando un archivo `sitemap-image.xml` virtual. 

### Características
* No requiere ningún tipo de configuración, por lo que funciona de forma totalmente autónoma y automática.
* Es totalmente compatible con instalaciones de WordPress multisitio.
* Totalmente compatible con los plugins [qTranslate](https://wordpress.org/plugins/qtranslate/) y [Media File Renamer](https://wordpress.org/plugins/media-file-renamer/).
* Informa automáticamente a Google y a Bing cada vez que publiquemos una nueva entrada o página.

### Traducciones
* Español ([**Art Project Group**](https://artprojectgroup.es/)).
* English ([**Art Project Group**](https://artprojectgroup.es/)).

### Soporte técnico
**Art Project Group** te ofrece [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte) para configurar o instalar **APG Google Image Sitemap Feed**. 

### Origen
**APG Google Image Sitemap Feed** ha sido programado a partir de los plugins [*Google News Sitemap Feed With Multisite Support*](https://wordpress.org/plugins/google-news-sitemap-feed-with-multisite-support/) de [Tim Brandon](https://profiles.wordpress.org/users/timbrd/) y [*Google XML Sitemap for Images*](https://wordpress.org/plugins/google-image-sitemap/) de [Amit Agarwal](https://profiles.wordpress.org/labnol/), que aún siendo magníficos plugins no ofrecían todas las características que necesitábamos. Aún así su trabajo ha sido completamente imprescindible para la realización de este plugin.

### Complementos
Se recomienda el uso de **APG Google Image Sitemap Feed** junto a [**APG Google Video Sitemap Feed**](https://wordpress.org/plugins/google-video-sitemap-feed-with-multisite-support/) que genera el archivo `sitemap-video.xml`.

### Muy importante
Se han descrito errores al utilizarlo conjuntamente con la última versión de **Google XML Sitemaps** con soporte para WordPress multisitio. Los errores están descritos en [¿Cómo arreglar la incompatibilidad de Google XML Sitemaps con nuestros plugins?](https://artprojectgroup.es/como-arreglar-la-incompatibilidad-de-google-xml-sitemaps-con-nuestros-plugins) donde encontrarás toda la información necesaria para solucionar la incompatibilidad detectada.

### Más información
En nuestro sitio web oficial puede obtener más información sobre [**APG Google Image Sitemap Feed**](https://artprojectgroup.es/plugins-para-wordpress/apg-google-image-sitemap-feed). 

### Comentarios
No olvides dejarnos tu comentario en:

* [APG Google Image Sitemap Feed](https://artprojectgroup.es/plugins-para-wordpress/apg-google-image-sitemap-feed) en Art Project Group.
* [Art Project Group](https://www.facebook.com/artprojectgroup) en Facebook.
* [@artprojectgroup](https://twitter.com/artprojectgroup) en Twitter.

### Más plugins
Recuerda que puedes encontrar más [plugins para WordPress](https://artprojectgroup.es/plugins-para-wordpress) en [Art Project Group](https://artprojectgroup.es) y en nuestro perfil en [WordPress](https://profiles.wordpress.org/artprojectgroup/).

### GitHub
Puedes seguir el desarrollo de este plugin en [Github](https://github.com/artprojectgroup/google-mobile-sitemap-feed-with-multisite-support).

## Instalación
1. Puedes:
 * Subir la carpeta `google-image-sitemap-feed-with-multisite-support` al directorio `/wp-content/plugins/` vía FTP. 
 * Subir el archivo ZIP completo vía *Plugins -> Añadir nuevo -> Subir* en el Panel de Administración de tu instalación de WordPress.
 * Buscar **APG Google Image Sitemap Feed** en el buscador disponible en *Plugins -> Añadir nuevo* y pulsar el botón *Instalar ahora*.
2. Activar el plugin a través del menú *Plugins* en el Panel de Administración de WordPress.
3. Listo, ahora ya puedes disfrutar de él, y si te gusta y te resulta útil, hacer una [*donación*](https://artprojectgroup.es/tienda/donacion).

## Preguntas frecuentes
### ¿Necesita configuración?
No, el plugin es totalmente autónomo.

### ¿Es compatible con instalaciones de WordPress multisitio?
Si, es completamente compatible.

### ¿Existen incompatibilidades?
Si, se han descrito errores al utilizarlo conjuntamente con el plugin **Google XML Sitemaps**. Los errores están provocados por un orden erróneo de las reglas de redirección de WordPress, ya que **Google XML Sitemaps** interpreta todos los tipos de mapas de sitios posibles. En [¿Cómo arreglar la incompatibilidad de Google XML Sitemaps con nuestros plugins?](https://artprojectgroup.es/como-arreglar-la-incompatibilidad-de-google-xml-sitemaps-con-nuestros-plugins) encontrarás toda la información sobre esta incompatibilidad y la solución a la misma.

### Soporte técnico
Si necesitas ayuda para configurar o instalar **APG Google Image Sitemap Feed**, **Art Project Group** te ofrece su servicio de [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte). 

*En ningún caso **Art Project Group** proporciona ningún tipo de soporte técnico gratuito.*

## Changelog
### 2.0.2.2
* Pequeños arreglos.

### 2.0.2.1
* Pequeños arreglos.

### 2.0.2
* Pequeños arreglos.

### 2.0.1
* Pequeños arreglos.

### 2.0
* Adecuación de la nueva estructura de datos.
* Generación de múltiples sitemaps por cada 1.000 imágenes.

### 1.2.0.4
* Actualización de la consulta SQL.

### 1.2.0.3
* Actualización de enlaces y pequeñas actualizaciones.

### 1.2.0.2
* Actualización de enlaces de soporte y pequeñas actualizaciones.

### 1.2.0.1
* Actualización del paquete de fuentes. Nuevo icono de Google+.
* Actualización de las traducciones.

### 1.2
* Modificación de la estructura interna del plugin para ajustarse a los estándares de WordPress.

###1.1.1
* Añadido borrado de caché al publicar nuevo contenido.

### 1.1
* Arreglo de error que provocaba un mensaje de error en versiones superiores a la 5.2 de PHP.

### 1.0.1
* Arreglo de error que provocaba que no se mostraran las URLs correctas en las entradas con múltiples imágenes.

### 1.0
* Soporte del plugin [Media File Renamer](https://wordpress.org/plugins/media-file-renamer/).

### 0.9
* Arreglo de error que borraba toda la configuración al desactivar el plugin.
* Corrección menor que evita la aparición de un código de error al recopilar información sobre el plugin.
* Uso de la API Transients de WordPress para mejorar las consultas.

### 0.8.1
* Cambio del enlace de donación.

### 0.8
* Añadida nueva función que limpia la base de datos al desinstalar el plugin.

### 0.7
* Arreglo en la codificación de las entidades RSS.

###0.6
* Arreglos menores en el código.

### 0.5
* Actualización de las hojas de estilo acorde al nuevo WordPress 8.
* Arreglo de pequeños errores en el código.

### 0.4
* Inclusión de nuevos botones y enlaces.

### 0.3
* Pequeños arreglos de código.
* Pequeño arreglo de la traducción.

### 0.2
* Pequeñas modificaciones y arreglos de código.
* Inclusión de enlaces.
* Actualización de los textos de información.

### 0.1
* Versión inicial.

## Traducciones
* *English*: by [**Art Project Group**](https://artprojectgroup.es/) (default language).
* *Español*: por [**Art Project Group**](https://artprojectgroup.es/).

## Soporte técnico
Dado que **APG Google Image Sitemap Feed** es totalmente gratuito, **Art Project Group** sólo proporciona el servicio de [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte) previo pago. En ningún caso **Art Project Group** proporciona ningún tipo de soporte técnico gratuito.

## ¿Por qué está esta página en español?
Mientras WordPress no nos permita a los desarrolladores realizar esta página en más de un idioma, elegiremos siempre el español.

A pesar de que es una apuesta muy arriesgada y de que reduce mucho las posibilidades de propagación de nuestros plugins, creemos que la comunidad hispana de WordPress es lo suficientemente amplia como para abocarla al idioma inglés hasta el final de los tiempos.

Por ello regalamos a esa gran comunidad hispana nuestros plugins con interfaces, instrucciones, tutoriales, soporte y páginas web en *WordPress.org* en español.

Esperamos que os guste nuestra iniciativa.

## Donación
¿Te ha gustado y te ha resultado útil **APG Google Image Sitemap Feed** en tu sitio web? Te agradeceríamos una [pequeña donación](https://artprojectgroup.es/tienda/donacion) que nos ayudará a seguir mejorando este plugin y a crear más plugins totalmente gratuitos para toda la comunidad WordPress.

## Gracias
* A [Tim Brandon](https://profiles.wordpress.org/users/timbrd/) y [Amit Agarwal](https://profiles.wordpress.org/labnol/) por sus grandes plugins que han inspirado **APG Google Image Sitemap Feed**.
* A todos los que lo usáis.
* A todos los que ayudáis a mejorarlo.
* A todos los que realizáis donaciones.
* A todos los que nos animáis con vuestros comentarios.

¡Muchas gracias a todos!